Bug 116747 - Ignore all in Calc spellcheck does not remove red lines immediately (needs save & reload)
Summary: Ignore all in Calc spellcheck does not remove red lines immediately (needs sa...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
6.0.2.1 release
Hardware: Other All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2018-04-02 11:47 UTC by subha
Modified: 2019-04-11 02:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Description was typed in that image itself..Refer that (169.79 KB, image/png)
2018-04-02 11:48 UTC, subha
Details
refer image (44.01 KB, image/png)
2018-04-02 11:49 UTC, subha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description subha 2018-04-02 11:47:03 UTC
Description:
1. Open LibreOffice --> calc.
2. Type data in calc(for reference see the attachment)
3. After that go to tools --> Spelling.
4. Spell check Window appears.
5. The Unchecked Spelling is shown in the spell check text box.
6. Now click Ignore all option.
7. Here (the spellcheck of this sheet has been completed) popup is shown.
8. Click Close.
9. After that the spelling check has not been resolved.
10. Once i Close that calc page..and open that calc page again.. the spelling check problem does not occur.

Steps to Reproduce:
1. Open LibreOffice --> calc.
2. Type data in calc(for reference see the attachment)
3. After that go to tools --> Spelling.
4. Spell check Window appears.
5. The Unchecked Spelling is shown in the spell check text box.
6. Now click Ignore all option.
7. Here (the spellcheck of this sheet has been completed) popup is shown.
8. Click Close.
9. After that the spelling check has not been resolved.
10. Once i Close that calc page..and open that calc page again.. the spelling check problem does not occur.

Actual Results:  
Spelling check has not been resolved.
Once i Close that calc page..and open that calc page again.. the spelling check problem does not occur.

Expected Results:
Click that Ignore all Option , Need to clear that unchecked spelling..


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36
Comment 1 subha 2018-04-02 11:48:38 UTC
Created attachment 141021 [details]
Description was typed in that image itself..Refer that
Comment 2 subha 2018-04-02 11:49:05 UTC
Created attachment 141022 [details]
refer image
Comment 3 123456thik 2018-04-02 12:59:22 UTC
Yes this issue occurs for me also.
Comment 4 subha 2018-04-02 13:00:33 UTC
this issue appears in
1) Window 7 32 bit
2) Window 10 64 bit
Comment 5 Buovjaga 2018-04-03 17:15:08 UTC
Repro and adjusted summary to clarify.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 6acda2a36c9025e0d3fe94d6ca8788ab60c3203e
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 2nd 2018
Comment 6 QA Administrators 2019-04-11 02:57:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug